Package groovy.util

# Class ClosureComparator<T>

java.lang.Object
groovy.util.ClosureComparator<T>

All Implemented Interfaces:
  `Serializable`, `Comparator<T>`

public class ClosureComparator<T> extends Object implements Comparator<T>, Serializable
A Comparator which uses a closure to compare 2 values being equal

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClosureComparator(Closure closure)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(T object1, T object2)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### ClosureComparator

    public ClosureComparator(Closure closure)

- ## Method Details

  - ### compare

    public int compare(T object1, T object2)
    Specified by:
      `compare` in interface `Comparator<T>`